
QGIS Application - Bug report #9448

New spatialite layer never completes

2014-01-29 12:16 AM - alobo -

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Browser

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 18042

Description

I try 

1. Layer/New spatialite layer

2. Navigate to a directory and name the new layer test

3. Operation never completes

4. If I look at the directory, there are 2 files:

test.sqlite (1.1 Mb)

test.sqlite-journal that appears and disappears, as if it were being continuously created and deleted

5. Have to abort QGIS.

OS: linuxmint (based on Ubuntu raring)

QGIS:

QGIS version    2.0.1-Dufour    QGIS code revision    exported

Compiled against Qt    4.8.4    Running against Qt    4.8.4

Compiled against GDAL/OGR    1.10.0    Running against GDAL/OGR    1.10.0

Compiled against GEOS    3.3.8-CAPI-1.7.8    Running against GEOS    3.3.8-CAPI-1.7.8

PostgreSQL Client Version    9.1.9    SpatiaLite Version    4.1.0

QWT Version    5.2.2    PROJ.4 Version    480

QScintilla2 Version

Related issues:

Duplicates QGIS Application - Bug report # 8340: Very slow Spatialite DB crea... Closed 2013-07-22

History

#1 - 2014-01-29 12:27 AM - alobo -

- Status changed from Open to Closed

Same as #8340

#2 - 2014-01-29 12:59 AM - Jürgen Fischer

- Resolution set to duplicate
